<?php

namespace Drupal\devel_generate_commerce\Commands;

use Drupal\devel_generate\Commands\DevelGenerateCommands;

/**
 * Provide Drush commands for commerce devel generation.
 */
class CommerceDevelGenerateCommand extends DevelGenerateCommands {

  /**
   * Devel generate commerce command.
   *
   * @param array $options
   *   Array of options as described below.
   *
   * @command devel-generate:commerce
   * @aliases genc, devel-generate-commerce
   * @pluginId commerce
   *
   * @option products_num Specify a number of products to generate.
   * @option product_types_num Specify a number of product types to generate.
   * @option product_variations_num Specify a number of product variations to
   *   generate for a certain product.
   * @option orders_num Specify a number of orders to generate.
   * @option time_range Specify a time framce for "created" from current time.
   * @option kill Delete all entities before generation. A "true" or "false" flag.
   */
  public function commerce(
    array $options = [
      'kill' => FALSE,
      'products_num' => 50,
      'product_types_num' => 1,
      'product_variations_num' => 1,
      'orders_num' => 50,
      'time_range' => 604800,
    ]
  ) {
    // Run the generate command.
    $this->generate();
  }

}
